import 'dart:io';

import 'package:dart_redux_overview/src/analyzer.dart';
import 'package:dart_redux_overview/src/markdown_renderer.dart';
import 'package:path/path.dart' as path;

Future<void> main(List<String> arguments) async {
  final analyzers = ClassesAnalyzer();
  final files = await Directory.current
      .list(
        recursive: true,
        followLinks: false,
      )
      .where((x) => path.extension(x.path) == '.dart')
      .map((x) => File(x.path))
      .toList();

  final analysis = await analyzers.analyze(files);
  final renderer = MarkdownRenderer();
  final markdown = renderer.render(analysis);
  print('--------------------------------------------');
  print(markdown);
  print('--------------------------------------------');
}
