import 'package:meta/meta.dart';

class Analysis {
  final List<ClassAnalysis> classes;
  Analysis({
    @required this.classes,
  });
}

class ClassAnalysis {
  final String name;
  final List<ConstructorAnalysis> constructors;
  const ClassAnalysis({
    @required this.name,
    @required this.constructors,
  });
}

class ConstructorAnalysis {
  final String name;
  final String comments;
  final List<ConstructorRequiredParameterAnalysis> requiredParameters;
  final List<ConstructorNamedParameterAnalysis> namedParameters;
  const ConstructorAnalysis({
    @required this.name,
    @required this.comments,
    @required this.requiredParameters,
    @required this.namedParameters,
  });
}

class ConstructorRequiredParameterAnalysis {
  final String name;
  final String type;
  const ConstructorRequiredParameterAnalysis({
    @required this.name,
    @required this.type,
  });
}

class ConstructorNamedParameterAnalysis {
  final String name;
  final String type;
  const ConstructorNamedParameterAnalysis({
    @required this.name,
    @required this.type,
  });
}
